import { invoke } from "@tauri-apps/api/tauri"
import { useLocalStorage } from '@vueuse/core'

const serialConfig = useLocalStorage('serialConfig', { port: '', baud: 9600 })

export function useSerial(input) {
  console.log(serialConfig.value)
  invoke('write_serial', { input: input + ";", portName: serialConfig.value.port, baud: serialConfig.value.baud });
}
